<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <form class="job-role" [formGroup]="addJobDetailsForm">
                        <div class="single-appoinment">
                            <strong>
                                Industry
                                <span class="w-85 mb-0">
                                     <!-- <select name="" id="" class="form-control"> -->
                                        <!-- <option value="">Select</option> -->
                                        <!-- <option value="">Hospitality</option> -->
                                        <!-- <option value="">Hospitality 2</option> -->
                                    <!-- </select>  -->
                                    <select class="form-control" formControlName="industry"
                                    (change)="selectJobIndustry($event.target.value)">
                                    <option value=""> Select Industry</option>
                                    <option value="{{industry.industryId}}"
                                        *ngFor="let industry of industryList ">
                                        {{industry.industryName}}</option>
                                </select>
                                <span class="t-red" *ngFor="let validation of errors.industry">
                                    <span
                                        *ngIf="addJobDetailsForm.get('industry').hasError(validation.type) && (addJobDetailsForm.get('industry').dirty || addJobDetailsForm.get('industry').touched)">
                                        {{validation.message}}
                                    </span>
                                </span>
                                </span>
                            </strong>
                        </div>

                        <div class="single-appoinment">
                            <strong>
                              Job Role
                                <span class="w-85 mb-0">
                                     <!-- <select name="" id="" class="form-control"> -->
                                        <!-- <option value="">Select</option> -->
                                        <!-- <option value="">By Staff</option> -->
                                        <!-- <option value="">By Bartender</option> -->
                                    <!-- </select> -->
                                    <ng-select formControlName="jobRole" [multiple]="true"
                                    [closeOnSelect]="false" [searchable]="false"
                                    placeholder=" Select Job Role" dropdownPosition="bottom" (change)="jobRoleSelect($event)">
                                    <ng-option [value]="item.jobRoleId" *ngFor="let item of jobRoleList">
                                        {{item?.jobRoleName}}
                                    </ng-option>
                                </ng-select>

                                <span class="t-red" *ngFor="let validation of errors.jobRole">
                                    <span
                                        *ngIf="addJobDetailsForm.get('jobRole').hasError(validation.type) && (addJobDetailsForm.get('jobRole').dirty || addJobDetailsForm.get('jobRole').touched)">
                                        {{validation.message}}
                                    </span>
                                </span>
                                </span>
                            </strong>
                        </div>

                        <div class="single-appoinment">
                            <ng-container *ngFor=" let skill of skillsList;let j = index ">
                                <ng-container *ngIf="j < 5 && !showRole">
                            <span><i class="fas fa-user-alt"></i>{{ skill?.jobRoleName }}</span>
                            <div class="checkboxes">
                            <ng-container formArrayName="skillDetails"
                            *ngFor=" let detail of skill.details; let i = index ">
                                <span>
                                    <input type="checkbox" value="{{detail.skillId}}"
                                    checked="{{detail.checked}}"
                                    (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName )" />
                                    <label>{{detail?.skillName}}</label>
                                </span>
                            </ng-container>
                            </div>
                        </ng-container>

                        <ng-container *ngIf="showRole">
                            <span><i class="fas fa-user-alt"></i>{{ skill?.jobRoleName }}</span>
                            <div class="checkboxes">
                            <ng-container formArrayName="skillDetails"
                            *ngFor=" let detail of skill.details; let i = index ">
                                <span>
                                    <input type="checkbox" value="{{detail.skillId}}"
                                    checked="{{detail.checked}}"
                                    (change)="onChecklistChange($event.target.checked,detail.skillId ,skill.jobRoleId , skill.jobRoleName , detail.skillName )" />
                                    <label>{{detail?.skillName}}</label>
                                </span>
                            </ng-container>
                            </div>
                        </ng-container>
                    </ng-container>
                        </div>
                        <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="!showArraow && skillsList.length>5">
                           <a href="javascript:void(0);" (click)="showMoreRole()" tooltip="Show More"> <i class="fas fa-angle-down"></i></a>
                        </div>
                        <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="showArraow && skillsList.length>5">
                            <a href="javascript:void(0);" (click)="showLessRole()" tooltip="Show Less"> <i class="fas fa-angle-up"></i></a>
                         </div>
                        <div class="single-appoinment">
                            <strong>
                                Job Type
                                <span class="w-85 mb-0">
                                     <!-- <select name="" id="" class="form-control"> -->
                                        <!-- <option value="">Select</option> -->
                                        <!-- <option value="">Hospitality</option> -->
                                        <!-- <option value="">Hospitality 2</option> -->
                                    <!-- </select>  -->

                                    <select class="form-control" formControlName="jobType">
                                        <option value=""> Select Job Type</option>
                                        <option value="{{jobtype.id}}" *ngFor="let jobtype of jobTypeList">
                                            {{jobtype.name}}</option>
                                     
                                    </select>
                                  
                                    <span class="t-red" *ngFor="let validation of errors.jobType">
                                        <span
                                            *ngIf="addJobDetailsForm.get('jobType').hasError(validation.type) && (addJobDetailsForm.get('jobType').dirty || addJobDetailsForm.get('jobType').touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                </span>
                            </strong>
                        </div>

                        <div class="single-appoinment">
                            <strong>
                                Rate P/H
                                <span class="w-85 mb-0">
                                    <!-- <input type="number" class="form-control" /> -->

                                    <input type="text" formControlName="pay" class="form-control"
                                    placeholder="">
                               
                                <span class="t-red" *ngFor="let validation of errors.pay">
                                    <span
                                        *ngIf="addJobDetailsForm.get('pay').hasError(validation.type) && (addJobDetailsForm.get('pay').dirty || addJobDetailsForm.get('pay').touched)">
                                        {{validation.message}}
                                    </span>
                                </span>
                                </span>
                            </strong>
                        </div>

                        <div class="single-appoinment">
                            <strong>
                                No. Of Staff
                                <span class="w-85 mb-0">
                                    <!-- <input type="number" class="form-control" /> -->

                                    <input type="text" formControlName="no_of_stuffs" class="form-control"
                                    placeholder="Enter Number">
                              
                                <span class="t-red" *ngFor="let validation of errors.no_of_stuffs">
                                    <span
                                        *ngIf="addJobDetailsForm.get('no_of_stuffs').hasError(validation.type) && (addJobDetailsForm.get('no_of_stuffs').dirty || addJobDetailsForm.get('no_of_stuffs').touched)">
                                        {{validation.message}}
                                    </span>
                                </span>
                                </span>
                            </strong>
                        </div>

                        <div class="single-appoinment">
                            <strong>
                                Description
                                <span class="w-85 mb-0">
                                    <input type="text" class="form-control" formControlName="skillDescription" />

                                              <!-- Error Messages -->
                                              <span class="t-red" *ngFor="let validation of errors.skillDescription">
                                                <span
                                                *ngIf="addJobDetailsForm.get('skillDescription').hasError(validation.type) && (addJobDetailsForm.get('skillDescription').dirty || addJobDetailsForm.get('skillDescription').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                </span>
                            </strong>
                        </div>

                        <div class="single-appoinment text-center">
                            <button type="submit" class="btn" [disabled]="!addJobDetailsForm.valid" (click)='saveAddJobDetails()'>Save</button>
                        </div>
                    </form>
                    <!--- <div class="form-box">
                        <form [formGroup]="addJobDetailsForm">
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Industry Name</label></div>
                                    <div class="col-8">
                                        <select class="form-control select-box" formControlName="industry"
                                            (change)="selectJobIndustry($event.target.value)">
                                            <option value=""> Select Industry</option>
                                            <option value="{{industry.industryId}}"
                                                *ngFor="let industry of industryList ">
                                                {{industry.industryName}}</option>
                                        </select>
                                       
                                        <span class="t-red" *ngFor="let validation of errors.industry">
                                            <span
                                                *ngIf="addJobDetailsForm.get('industry').hasError(validation.type) && (addJobDetailsForm.get('industry').dirty || addJobDetailsForm.get('industry').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Job Role</label></div>
                                    <div class="col-8">
                                        <ng-select formControlName="jobRole" [items]="jobRoleList" [multiple]="true"
                                            [closeOnSelect]="false" [searchable]="false" bindLabel="jobRoleName"
                                            placeholder=" Select Job Role" dropdownPosition="bottom">
                                        </ng-select>

                                       
                                        <span class="t-red" *ngFor="let validation of errors.jobRole">
                                            <span
                                                *ngIf="addJobDetailsForm.get('jobRole').hasError(validation.type) && (addJobDetailsForm.get('jobRole').dirty || addJobDetailsForm.get('jobRole').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Job Type</label></div>
                                    <div class="col-8">
                                        <select class="form-control select-box" formControlName="jobType">
                                            <option value=""> Select Job Type</option>
                                            <option value="{{jobtype.id}}" *ngFor="let jobtype of jobTypeList">
                                                {{jobtype.name}}</option>
                                         
                                        </select>
                                      
                                        <span class="t-red" *ngFor="let validation of errors.jobType">
                                            <span
                                                *ngIf="addJobDetailsForm.get('jobType').hasError(validation.type) && (addJobDetailsForm.get('jobType').dirty || addJobDetailsForm.get('jobType').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group" hidden>
                                <div class="row">
                                    <div class="col-4"><label>Pay Type</label></div>
                                    <div class="col-8">
                                        <select class="form-control select-box"  formControlName="payType">
                                            <option value=""> Select Pay Type</option>
                                            <option [ngValue]="paytype" *ngFor="let paytype of payTypeList">
                                                {{paytype}}</option>
                                        </select> 
                                        <input type="text" class="form-control"  value="Hourly" disabled>
                                         <span class="form-control" formControlName="payType" *ngFor="let paytype of payTypeList">{{paytype}}</span>
                                        Error Messages
                                        <span class="t-red" *ngFor="let validation of errors.payType">
                                            <span
                                                *ngIf="addJobDetailsForm.get('payType').hasError(validation.type) && (addJobDetailsForm.get('payType').dirty || addJobDetailsForm.get('payType').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span> 
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Rate P/h</label></div>
                                    <div class="col-8">
                                        <input type="text" formControlName="pay" class="form-control"
                                            placeholder="">
                                       
                                        <span class="t-red" *ngFor="let validation of errors.pay">
                                            <span
                                                *ngIf="addJobDetailsForm.get('pay').hasError(validation.type) && (addJobDetailsForm.get('pay').dirty || addJobDetailsForm.get('pay').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>No. of Staff</label></div>
                                    <div class="col-8">
                                        <input type="text" formControlName="no_of_stuffs" class="form-control"
                                            placeholder="Enter Number">
                                      
                                        <span class="t-red" *ngFor="let validation of errors.no_of_stuffs">
                                            <span
                                                *ngIf="addJobDetailsForm.get('no_of_stuffs').hasError(validation.type) && (addJobDetailsForm.get('no_of_stuffs').dirty || addJobDetailsForm.get('no_of_stuffs').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group" style="display: none">
                                <div class="row">
                                    <div class="col-4"><label>Radius for location tracking</label></div>
                                    <div class="col-8">
                                        <ul class="dis-value">
                                            <li>0 m</li>
                                            <li>1000 m</li>
                                        </ul>
                                        <div class="proxi-sldr location">
                                            <div class="proxi-lt">
                                              
                                                <mat-slider class="example-margin" [disabled]="disabled" [max]="max"
                                                    [min]="min" [step]="step" [value]="distanceValue"
                                                    [thumbLabel]="thumbLabel" 
                                                     (input)="onInputChange($event)">
                                                </mat-slider>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group text-center">
                                
                                <input type="submit" [disabled]="!addJobDetailsForm.valid" (click)="saveAddJobDetails()"
                                    value="Save" class="btn" style="margin-right: -30px">
                            </div>
                        </form>
                    </div> --->
                </div>
            </div>
        </div>
    </div>
</div>
